package com.iformall.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;

import javax.persistence.Transient;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

public class CUserBaseInfoT implements Serializable {
    /**用户姓名**/
    @Excel(name="姓名",width = 20,orderNum = "1")
    @io.swagger.annotations.ApiModelProperty(value="用户姓名",name="name")
    private String name;
    /**性别：0：保密 1.男 2女**/
    @Excel(name="性别",width = 20,replace = { "保密_0", "男_1","女_2"},orderNum = "2")
    @io.swagger.annotations.ApiModelProperty(value="性别：0：保密 1.男 2女",name="sex")
    private Integer sex;
    /**微信用户绑定的手机号**/
    @Excel(name="手机号",width = 20,orderNum = "3")
    @io.swagger.annotations.ApiModelProperty(value="微信用户绑定的手机号",name="phone")
    @NotNull
    @Pattern(regexp = "1[0123456789]\\d{9}", message = "手机号不正确")
    private String phone;
    /**用户昵称**/
    @Excel(name="微信昵称",width = 20,orderNum = "4")
    @io.swagger.annotations.ApiModelProperty(value="用户昵称",name="nickName")
    private String nickName;
    /**学历**/
    @Excel(name="学历",width = 20,orderNum = "5")
    @io.swagger.annotations.ApiModelProperty(value="学历",name="education")
    private String education;
    /**出生日期**/
    @Excel(name="生日",width = 20,orderNum = "6")
    @io.swagger.annotations.ApiModelProperty(value="出生日期",name="birthdate")
    private String birthdate;
    /**地址**/
    @Excel(name="地址",width = 20,orderNum = "7")
    @io.swagger.annotations.ApiModelProperty(value="地址",name="address")
    private String address;

    /**更新时间**/
    @Excel(name="上次活跃时间",width = 20, orderNum = "8")
    @io.swagger.annotations.ApiModelProperty(value="更新时间",name="updateDate")
    private String updateDate;

    /**创建时间**/
    @Excel(name="注册时间",width = 20, orderNum = "9")
    @io.swagger.annotations.ApiModelProperty(value="创建时间",name="createDate")
    private String createDate;

    @Transient
    @Excel(name="标签",width = 20,orderNum = "10")
    private String tagNames;

    @Transient
    @Excel(name="成长值",width = 20,orderNum = "11")
    private String poins;

    public String getName() {
        return name;
    }

    public void setName(@NotNull String name) {
        this.name = name;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(@NotNull Integer sex) {
        this.sex = sex;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(@NotNull String phone) {
        this.phone = phone;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getEducation() {
        return education;
    }

    public void setEducation(@NotNull String education) {
        this.education = education;
    }

    public String getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(@NotNull String birthdate) {
        this.birthdate = birthdate;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getTagNames() {
        return tagNames;
    }

    public void setTagNames(String tagNames) {
        this.tagNames = tagNames;
    }

    public String getPoins() {
        return poins;
    }

    public void setPoins(String poins) {
        this.poins = poins;
    }
}
